Blt_TreeGetNode(3)

NAME
Blt_TreeGetNode - Finds the node from the ID.

SYNOPSIS
#include <bltTree.h>

Blt_TreeNode
Blt_TreeGetNode(tree, number)

ARGUMENTS
Tree containing the requested node. Serial number of the requested node.

DESCRIPTION
This procedure returns a node in a tree object based upon a give serial number. The node is searched using the serial number.

The arguments are as follows:

tree
    The tree containing the requested node.

number
    The serial number of the requested node.

RETURNS
The node represented by the given serial number is returned. If no node with that ID exists in tree then NULL is returned.

EXAMPLE
The following example gets the node from a serial number. unsigned int number; Blt_TreeNode node; Blt_TreeToken token; node = Blt_TreeGetNode(token, number); if (node == NULL) {
    printf("no node with ID %d exists\n", number); } else {
    printf("node found: label is %s\n", Blt_TreeNodeLabel(node)); }

KEYWORDS
Tcl_TreeCreateNode, Tcl_TreeDeleteNode